Module ij
Package ij.gui

# Class PlotDialog

java.lang.Object
ij.gui.PlotDialog

All Implemented Interfaces:
  `DialogListener`

public class PlotDialog extends Object implements DialogListener

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`AXIS_OPTIONS`
Types of dialog.
`static final int`
`HI_RESOLUTION`
Types of dialog.
`static final int`
`LEGEND`
Types of dialog.
`static final int`
`SET_RANGE`
Types of dialog.
`static final int`
`TEMPLATE`
Types of dialog.
`static final int`
`X_AXIS`
Types of dialog.
`static final int`
`X_LEFT`
Types of dialog.
`static final int`
`X_RIGHT`
Types of dialog.
`static final int`
`Y_AXIS`
Types of dialog.
`static final int`
`Y_BOTTOM`
Types of dialog.
`static final int`
`Y_TOP`
Types of dialog.

## Constructor Summary

Constructors
Constructor
Description
`PlotDialog(Plot plot, int dialogType)`
Constructs a new PlotDialog for a given plot and sets the type of dialog

## Method Summary

Modifier and Type
Method
Description
`boolean`
`dialogItemChanged(GenericDialog gd, AWTEvent e)`
This method is called when the user changes something in the dialog.
`void`
`showDialog(Frame parent)`
Asks the user for axis scaling; then replot with new scale on the same ImageProcessor.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SET_RANGE

public static final int SET_RANGE
Types of dialog. Note that 10-14 must be the same as the corresponding PlotWindow.rangeArrow numbers

See Also:
  - Constant Field Values

### AXIS_OPTIONS

public static final int AXIS_OPTIONS
Types of dialog. Note that 10-14 must be the same as the corresponding PlotWindow.rangeArrow numbers

See Also:
  - Constant Field Values

### LEGEND

public static final int LEGEND
Types of dialog. Note that 10-14 must be the same as the corresponding PlotWindow.rangeArrow numbers

See Also:
  - Constant Field Values

### HI_RESOLUTION

public static final int HI_RESOLUTION
Types of dialog. Note that 10-14 must be the same as the corresponding PlotWindow.rangeArrow numbers

See Also:
  - Constant Field Values

### TEMPLATE

public static final int TEMPLATE
Types of dialog. Note that 10-14 must be the same as the corresponding PlotWindow.rangeArrow numbers

See Also:
  - Constant Field Values

### X_LEFT

public static final int X_LEFT
Types of dialog. Note that 10-14 must be the same as the corresponding PlotWindow.rangeArrow numbers

See Also:
  - Constant Field Values

### X_RIGHT

public static final int X_RIGHT
Types of dialog. Note that 10-14 must be the same as the corresponding PlotWindow.rangeArrow numbers

See Also:
  - Constant Field Values

### Y_BOTTOM

public static final int Y_BOTTOM
Types of dialog. Note that 10-14 must be the same as the corresponding PlotWindow.rangeArrow numbers

See Also:
  - Constant Field Values

### Y_TOP

public static final int Y_TOP
Types of dialog. Note that 10-14 must be the same as the corresponding PlotWindow.rangeArrow numbers

See Also:
  - Constant Field Values

### X_AXIS

public static final int X_AXIS
Types of dialog. Note that 10-14 must be the same as the corresponding PlotWindow.rangeArrow numbers

See Also:
  - Constant Field Values

### Y_AXIS

public static final int Y_AXIS
Types of dialog. Note that 10-14 must be the same as the corresponding PlotWindow.rangeArrow numbers

See Also:
  - Constant Field Values

## Constructor Details

### PlotDialog

public PlotDialog(Plot plot, int dialogType)
Constructs a new PlotDialog for a given plot and sets the type of dialog

## Method Details

### showDialog

public void showDialog(Frame parent)
Asks the user for axis scaling; then replot with new scale on the same ImageProcessor. The 'parent' frame may be null

### dialogItemChanged

public boolean dialogItemChanged(GenericDialog gd, AWTEvent e)
This method is called when the user changes something in the dialog. Note that the 'if's for reading the fields must be exactly the same as those for setting up the fields in 'setupDialog' (fields must be also read in the same sequence).

Specified by:
  `dialogItemChanged` in interface `DialogListener`
Parameters:
  `gd` - A reference to the GenericDialog.
  `e` - The event that has been generated by the user action in the dialog. Note that `e` is `null` if the dialogItemChanged method is called after the user has pressed the OK button or if the GenericDialog has read its parameters from a macro.
Returns:
  Should be true if the dialog input is valid. False disables the OK button and preview (if any).